(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     31952,        718]
NotebookOptionsPosition[     30948,        695]
NotebookOutlinePosition[     31382,        712]
CellTagsIndexPosition[     31339,        709]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8123108562825003`*^9, 
  3.8123108687193365`*^9}},ExpressionUUID->"f106f347-bf01-4e22-bd72-\
f792336b25f8"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "h"}], "}"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "h"}], "}"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "a"}], "}"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8123107338971634`*^9, 3.812310790959051*^9}, {
  3.8123108307841406`*^9, 3.812310888047655*^9}, {3.812310933390005*^9, 
  3.812310971819783*^9}, {3.812311013716341*^9, 3.8123111332127275`*^9}, {
  3.81231117889974*^9, 3.8123112281618557`*^9}},
 CellLabel->"In[75]:=",ExpressionUUID->"b49fcc15-3568-4c54-96c0-1ba6ea7f4d46"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`g, \
$CellContext`c, $CellContext`d, $CellContext`h, $CellContext`e}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {2, 5}, {2, 6}, {2, 7}, {5, 6}, {5, 7}, {
       6, 1}, {6, 3}, {8, 3}, {8, 4}, {3, 4}, {4, 7}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGDgA2ImKE5oqj89if+n/fY3veyT627bP/b//in88GN7tcXl
m8Wyn9qjy+876r420J3JYYou85WrOy5gyD9apdb8/RuDg6WR9WeGc58w5BVm
BBYKWr23Z4ACdPtg4gzFt55ktT7HcA8h/QL+IVl5e1/Zn3gfvmLm9e8Y7kV3
H7o8uvno8hx2MT/uG3M6vFuwz+2D/WsM89DtR5dH14/uX3T70eXRzQcAg//H
2A==
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.56630210391463, 0.4296004842542049}, 
          0.031307959224641996], 
         InsetBox["a", 
          Offset[{2, 2}, {1.597610063139272, 0.46090844347884685}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.6175956483298218, 0.6693223481389381}, 
          0.031307959224641996], 
         InsetBox["b", 
          Offset[{2, 2}, {0.6489036075544639, 0.7006303073635801}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2848237550285537, 0.2612814493592961}, 
          0.031307959224641996], 
         InsetBox["f", 
          Offset[{2, 2}, {2.3161317142531956, 0.2925894085839381}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1205892797637356, 1.1752938748569604}, 
          0.031307959224641996], 
         InsetBox["g", 
          Offset[{2, 2}, {2.1518972389883775, 1.2066018340816023}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7350363225737908}, 0.031307959224641996], 
         InsetBox["c", 
          Offset[{2, 2}, {0.031307959224641996, 0.7663442817984328}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9758383954292675, 0.}, 0.031307959224641996], 
         InsetBox["d", 
          Offset[{2, 2}, {1.0071463546539094, 0.031307959224641996}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8356239392037157, 1.490136773673827}, 
          0.031307959224641996], 
         InsetBox["h", 
          Offset[{2, 2}, {0.8669318984283577, 1.5214447328984688}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.1503295329237098, 0.851555002377635}, 
          0.031307959224641996], 
         InsetBox["e", 
          Offset[{2, 2}, {3.1816374921483517, 0.8828629616022771}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8123111814929876`*^9, 3.8123112291158915`*^9}, {
   3.8123119168166547`*^9, 3.812311946475456*^9}, 3.8123144088731737`*^9},
 CellLabel->"Out[75]=",ExpressionUUID->"91e5a10f-8a7a-4ef5-acd3-2acbcd5fe1c3"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`g, \
$CellContext`c, $CellContext`d, $CellContext`h, $CellContext`e}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {2, 5}, {2, 6}, {2, 7}, {5, 6}, {5, 7}, {
       6, 1}, {6, 3}, {8, 3}, {8, 4}, {3, 4}, {4, 7}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`c, $CellContext`h], 
         UndirectedEdge[$CellContext`g, $CellContext`e], 
         UndirectedEdge[$CellContext`e, $CellContext`f], 
         UndirectedEdge[$CellContext`b, $CellContext`c], 
         UndirectedEdge[$CellContext`a, $CellContext`b], 
         UndirectedEdge[$CellContext`f, $CellContext`a], 
         UndirectedEdge[$CellContext`h, $CellContext`g]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.56630210391463, 0.4296004842542049}, {0.6175956483298218,
           0.6693223481389381}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.56630210391463, 0.4296004842542049}, {
          2.2848237550285537`, 0.2612814493592961}}]}, 
        LineBox[{{1.56630210391463, 0.4296004842542049}, {2.1205892797637356`,
          1.1752938748569604`}}], 
        LineBox[{{1.56630210391463, 0.4296004842542049}, {0.9758383954292675, 
         0.}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.6175956483298218, 0.6693223481389381}, {0., 
          0.7350363225737908}}]}, 
        LineBox[{{0.6175956483298218, 0.6693223481389381}, {
         0.9758383954292675, 0.}}], 
        LineBox[{{0.6175956483298218, 0.6693223481389381}, {
         0.8356239392037157, 1.490136773673827}}], 
        LineBox[{{2.2848237550285537`, 0.2612814493592961}, {
         2.1205892797637356`, 1.1752938748569604`}}], 
        LineBox[{{2.2848237550285537`, 0.2612814493592961}, {
         0.9758383954292675, 0.}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.2848237550285537`, 0.2612814493592961}, {
          3.1503295329237098`, 0.851555002377635}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.1205892797637356`, 1.1752938748569604`}, {
          0.8356239392037157, 1.490136773673827}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.1205892797637356`, 1.1752938748569604`}, {
          3.1503295329237098`, 0.851555002377635}}]}, 
        LineBox[{{0., 0.7350363225737908}, {0.9758383954292675, 0.}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0., 0.7350363225737908}, {0.8356239392037157, 
          1.490136773673827}}]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.56630210391463, 0.4296004842542049}, 
          0.031307959224641996], 
         InsetBox["a", 
          Offset[{2, 2}, {1.597610063139272, 0.46090844347884685}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.6175956483298218, 0.6693223481389381}, 
          0.031307959224641996], 
         InsetBox["b", 
          Offset[{2, 2}, {0.6489036075544639, 0.7006303073635801}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2848237550285537, 0.2612814493592961}, 
          0.031307959224641996], 
         InsetBox["f", 
          Offset[{2, 2}, {2.3161317142531956, 0.2925894085839381}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1205892797637356, 1.1752938748569604}, 
          0.031307959224641996], 
         InsetBox["g", 
          Offset[{2, 2}, {2.1518972389883775, 1.2066018340816023}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7350363225737908}, 0.031307959224641996], 
         InsetBox["c", 
          Offset[{2, 2}, {0.031307959224641996, 0.7663442817984328}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9758383954292675, 0.}, 0.031307959224641996], 
         InsetBox["d", 
          Offset[{2, 2}, {1.0071463546539094, 0.031307959224641996}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8356239392037157, 1.490136773673827}, 
          0.031307959224641996], 
         InsetBox["h", 
          Offset[{2, 2}, {0.8669318984283577, 1.5214447328984688}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.1503295329237098, 0.851555002377635}, 
          0.031307959224641996], 
         InsetBox["e", 
          Offset[{2, 2}, {3.1816374921483517, 0.8828629616022771}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8123111814929876`*^9, 3.8123112291158915`*^9}, {
   3.8123119168166547`*^9, 3.812311946475456*^9}, 3.812314408938506*^9},
 CellLabel->"Out[76]=",ExpressionUUID->"cf957a53-1e53-436b-9f74-9da798542275"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`g, \
$CellContext`c, $CellContext`d, $CellContext`h, $CellContext`e}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {2, 5}, {2, 6}, {2, 7}, {5, 6}, {5, 7}, {
       6, 1}, {6, 3}, {8, 3}, {8, 4}, {3, 4}, {4, 7}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`f, $CellContext`g], 
         UndirectedEdge[$CellContext`c, $CellContext`d], 
         UndirectedEdge[$CellContext`g, $CellContext`a], 
         UndirectedEdge[$CellContext`d, $CellContext`a], 
         UndirectedEdge[$CellContext`b, $CellContext`c], 
         UndirectedEdge[$CellContext`a, $CellContext`f], 
         UndirectedEdge[$CellContext`a, $CellContext`b]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.56630210391463, 0.4296004842542049}, {0.6175956483298218,
           0.6693223481389381}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.56630210391463, 0.4296004842542049}, {
          2.2848237550285537`, 0.2612814493592961}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.56630210391463, 0.4296004842542049}, {
          2.1205892797637356`, 1.1752938748569604`}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.56630210391463, 0.4296004842542049}, {0.9758383954292675,
           0.}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.6175956483298218, 0.6693223481389381}, {0., 
          0.7350363225737908}}]}, 
        LineBox[{{0.6175956483298218, 0.6693223481389381}, {
         0.9758383954292675, 0.}}], 
        LineBox[{{0.6175956483298218, 0.6693223481389381}, {
         0.8356239392037157, 1.490136773673827}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.2848237550285537`, 0.2612814493592961}, {
          2.1205892797637356`, 1.1752938748569604`}}]}, 
        LineBox[{{2.2848237550285537`, 0.2612814493592961}, {
         0.9758383954292675, 0.}}], 
        LineBox[{{2.2848237550285537`, 0.2612814493592961}, {
         3.1503295329237098`, 0.851555002377635}}], 
        LineBox[{{2.1205892797637356`, 1.1752938748569604`}, {
         0.8356239392037157, 1.490136773673827}}], 
        LineBox[{{2.1205892797637356`, 1.1752938748569604`}, {
         3.1503295329237098`, 0.851555002377635}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0., 0.7350363225737908}, {0.9758383954292675, 0.}}]}, 
        LineBox[{{0., 0.7350363225737908}, {0.8356239392037157, 
         1.490136773673827}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.56630210391463, 0.4296004842542049}, 
          0.031307959224641996], 
         InsetBox["a", 
          Offset[{2, 2}, {1.597610063139272, 0.46090844347884685}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.6175956483298218, 0.6693223481389381}, 
          0.031307959224641996], 
         InsetBox["b", 
          Offset[{2, 2}, {0.6489036075544639, 0.7006303073635801}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2848237550285537, 0.2612814493592961}, 
          0.031307959224641996], 
         InsetBox["f", 
          Offset[{2, 2}, {2.3161317142531956, 0.2925894085839381}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1205892797637356, 1.1752938748569604}, 
          0.031307959224641996], 
         InsetBox["g", 
          Offset[{2, 2}, {2.1518972389883775, 1.2066018340816023}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7350363225737908}, 0.031307959224641996], 
         InsetBox["c", 
          Offset[{2, 2}, {0.031307959224641996, 0.7663442817984328}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9758383954292675, 0.}, 0.031307959224641996], 
         InsetBox["d", 
          Offset[{2, 2}, {1.0071463546539094, 0.031307959224641996}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8356239392037157, 1.490136773673827}, 
          0.031307959224641996], 
         InsetBox["h", 
          Offset[{2, 2}, {0.8669318984283577, 1.5214447328984688}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.1503295329237098, 0.851555002377635}, 
          0.031307959224641996], 
         InsetBox["e", 
          Offset[{2, 2}, {3.1816374921483517, 0.8828629616022771}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8123111814929876`*^9, 3.8123112291158915`*^9}, {
   3.8123119168166547`*^9, 3.812311946475456*^9}, 3.812314408967428*^9},
 CellLabel->"Out[77]=",ExpressionUUID->"e8feb34d-d0f4-412b-80da-62d121503e0e"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`g, \
$CellContext`c, $CellContext`d, $CellContext`h, $CellContext`e}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {2, 5}, {2, 6}, {2, 7}, {5, 6}, {5, 7}, {
       6, 1}, {6, 3}, {8, 3}, {8, 4}, {3, 4}, {4, 7}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`f, $CellContext`g], 
         UndirectedEdge[$CellContext`f, $CellContext`d], 
         UndirectedEdge[$CellContext`c, $CellContext`h], 
         UndirectedEdge[$CellContext`g, $CellContext`e], 
         UndirectedEdge[$CellContext`e, $CellContext`f], 
         UndirectedEdge[$CellContext`b, $CellContext`a], 
         UndirectedEdge[$CellContext`g, $CellContext`a], 
         UndirectedEdge[$CellContext`d, $CellContext`b], 
         UndirectedEdge[$CellContext`d, $CellContext`c], 
         UndirectedEdge[$CellContext`a, $CellContext`f], 
         UndirectedEdge[$CellContext`a, $CellContext`d], 
         UndirectedEdge[$CellContext`b, $CellContext`h], 
         UndirectedEdge[$CellContext`h, $CellContext`g], 
         UndirectedEdge[$CellContext`c, $CellContext`b]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.56630210391463, 0.4296004842542049}, {0.6175956483298218,
           0.6693223481389381}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.56630210391463, 0.4296004842542049}, {
          2.2848237550285537`, 0.2612814493592961}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.56630210391463, 0.4296004842542049}, {
          2.1205892797637356`, 1.1752938748569604`}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.56630210391463, 0.4296004842542049}, {0.9758383954292675,
           0.}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.6175956483298218, 0.6693223481389381}, {0., 
          0.7350363225737908}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.6175956483298218, 0.6693223481389381}, {
          0.9758383954292675, 0.}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.6175956483298218, 0.6693223481389381}, {
          0.8356239392037157, 1.490136773673827}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.2848237550285537`, 0.2612814493592961}, {
          2.1205892797637356`, 1.1752938748569604`}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.2848237550285537`, 0.2612814493592961}, {
          0.9758383954292675, 0.}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.2848237550285537`, 0.2612814493592961}, {
          3.1503295329237098`, 0.851555002377635}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.1205892797637356`, 1.1752938748569604`}, {
          0.8356239392037157, 1.490136773673827}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.1205892797637356`, 1.1752938748569604`}, {
          3.1503295329237098`, 0.851555002377635}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0., 0.7350363225737908}, {0.9758383954292675, 0.}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0., 0.7350363225737908}, {0.8356239392037157, 
          1.490136773673827}}]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.56630210391463, 0.4296004842542049}, 
          0.031307959224641996], 
         InsetBox["a", 
          Offset[{2, 2}, {1.597610063139272, 0.46090844347884685}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.6175956483298218, 0.6693223481389381}, 
          0.031307959224641996], 
         InsetBox["b", 
          Offset[{2, 2}, {0.6489036075544639, 0.7006303073635801}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2848237550285537, 0.2612814493592961}, 
          0.031307959224641996], 
         InsetBox["f", 
          Offset[{2, 2}, {2.3161317142531956, 0.2925894085839381}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1205892797637356, 1.1752938748569604}, 
          0.031307959224641996], 
         InsetBox["g", 
          Offset[{2, 2}, {2.1518972389883775, 1.2066018340816023}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7350363225737908}, 0.031307959224641996], 
         InsetBox["c", 
          Offset[{2, 2}, {0.031307959224641996, 0.7663442817984328}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9758383954292675, 0.}, 0.031307959224641996], 
         InsetBox["d", 
          Offset[{2, 2}, {1.0071463546539094, 0.031307959224641996}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8356239392037157, 1.490136773673827}, 
          0.031307959224641996], 
         InsetBox["h", 
          Offset[{2, 2}, {0.8669318984283577, 1.5214447328984688}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.1503295329237098, 0.851555002377635}, 
          0.031307959224641996], 
         InsetBox["e", 
          Offset[{2, 2}, {3.1816374921483517, 0.8828629616022771}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8123111814929876`*^9, 3.8123112291158915`*^9}, {
   3.8123119168166547`*^9, 3.812311946475456*^9}, 3.812314408992362*^9},
 CellLabel->"Out[78]=",ExpressionUUID->"331f05b1-540c-4e5d-bed5-7d4763c6b471"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`g, \
$CellContext`c, $CellContext`d, $CellContext`h, $CellContext`e}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {2, 5}, {2, 6}, {2, 7}, {5, 6}, {5, 7}, {
       6, 1}, {6, 3}, {8, 3}, {8, 4}, {3, 4}, {4, 7}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`c, $CellContext`d], 
         UndirectedEdge[$CellContext`f, $CellContext`e], 
         UndirectedEdge[$CellContext`h, $CellContext`c], 
         UndirectedEdge[$CellContext`b, $CellContext`a], 
         UndirectedEdge[$CellContext`d, $CellContext`b], 
         UndirectedEdge[$CellContext`a, $CellContext`f], 
         UndirectedEdge[$CellContext`e, $CellContext`g], 
         UndirectedEdge[$CellContext`g, $CellContext`h]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.56630210391463, 0.4296004842542049}, {0.6175956483298218,
           0.6693223481389381}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.56630210391463, 0.4296004842542049}, {
          2.2848237550285537`, 0.2612814493592961}}]}, 
        LineBox[{{1.56630210391463, 0.4296004842542049}, {2.1205892797637356`,
          1.1752938748569604`}}], 
        LineBox[{{1.56630210391463, 0.4296004842542049}, {0.9758383954292675, 
         0.}}], LineBox[{{0.6175956483298218, 0.6693223481389381}, {0., 
         0.7350363225737908}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.6175956483298218, 0.6693223481389381}, {
          0.9758383954292675, 0.}}]}, 
        LineBox[{{0.6175956483298218, 0.6693223481389381}, {
         0.8356239392037157, 1.490136773673827}}], 
        LineBox[{{2.2848237550285537`, 0.2612814493592961}, {
         2.1205892797637356`, 1.1752938748569604`}}], 
        LineBox[{{2.2848237550285537`, 0.2612814493592961}, {
         0.9758383954292675, 0.}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.2848237550285537`, 0.2612814493592961}, {
          3.1503295329237098`, 0.851555002377635}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.1205892797637356`, 1.1752938748569604`}, {
          0.8356239392037157, 1.490136773673827}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.1205892797637356`, 1.1752938748569604`}, {
          3.1503295329237098`, 0.851555002377635}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0., 0.7350363225737908}, {0.9758383954292675, 0.}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0., 0.7350363225737908}, {0.8356239392037157, 
          1.490136773673827}}]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.56630210391463, 0.4296004842542049}, 
          0.031307959224641996], 
         InsetBox["a", 
          Offset[{2, 2}, {1.597610063139272, 0.46090844347884685}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.6175956483298218, 0.6693223481389381}, 
          0.031307959224641996], 
         InsetBox["b", 
          Offset[{2, 2}, {0.6489036075544639, 0.7006303073635801}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2848237550285537, 0.2612814493592961}, 
          0.031307959224641996], 
         InsetBox["f", 
          Offset[{2, 2}, {2.3161317142531956, 0.2925894085839381}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1205892797637356, 1.1752938748569604}, 
          0.031307959224641996], 
         InsetBox["g", 
          Offset[{2, 2}, {2.1518972389883775, 1.2066018340816023}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7350363225737908}, 0.031307959224641996], 
         InsetBox["c", 
          Offset[{2, 2}, {0.031307959224641996, 0.7663442817984328}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9758383954292675, 0.}, 0.031307959224641996], 
         InsetBox["d", 
          Offset[{2, 2}, {1.0071463546539094, 0.031307959224641996}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8356239392037157, 1.490136773673827}, 
          0.031307959224641996], 
         InsetBox["h", 
          Offset[{2, 2}, {0.8669318984283577, 1.5214447328984688}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.1503295329237098, 0.851555002377635}, 
          0.031307959224641996], 
         InsetBox["e", 
          Offset[{2, 2}, {3.1816374921483517, 0.8828629616022771}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8123111814929876`*^9, 3.8123112291158915`*^9}, {
   3.8123119168166547`*^9, 3.812311946475456*^9}, 3.8123144090155516`*^9},
 CellLabel->"Out[79]=",ExpressionUUID->"0538b1f0-dd53-4c4e-a33c-bcef382dc196"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"7f1aa40d-fdff-43dd-adc5-fcd0e8c08f59"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 184, 4, 63, "Input",ExpressionUUID->"f106f347-bf01-4e22-bd72-f792336b25f8"],
Cell[CellGroupData[{
Cell[767, 28, 4099, 125, 782, "Input",ExpressionUUID->"b49fcc15-3568-4c54-96c0-1ba6ea7f4d46"],
Cell[4869, 155, 3373, 74, 429, "Output",ExpressionUUID->"91e5a10f-8a7a-4ef5-acd3-2acbcd5fe1c3"],
Cell[8245, 231, 5438, 110, 429, "Output",ExpressionUUID->"cf957a53-1e53-436b-9f74-9da798542275"],
Cell[13686, 343, 5437, 110, 429, "Output",ExpressionUUID->"e8feb34d-d0f4-412b-80da-62d121503e0e"],
Cell[19126, 455, 6256, 124, 429, "Output",ExpressionUUID->"331f05b1-540c-4e5d-bed5-7d4763c6b471"],
Cell[25385, 581, 5547, 111, 436, "Output",ExpressionUUID->"0538b1f0-dd53-4c4e-a33c-bcef382dc196"]
}, Open  ]]
}
]
*)

